summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexandru Croitor <alexandru.croitor@qt.io>2019-08-06 16:22:35 +0200
committerAlexandru Croitor <alexandru.croitor@qt.io>2019-08-06 17:07:53 +0200
commitbcc717b9ff5e9832794171217436029479b50f81 (patch)
tree9c251094dc12f5cd7abb7041df8496dc8ab6b345
parenta436a733c3a07adb61f1ed9e2793fc47453ad2bb (diff)
Fix Qt6 buildwip/qt6wip/cmake
Modify all the qmlRegisterModule calls to use minor version 15 because minor version zero from 6.0.0 would make tests fail. This is similar to what was done in qtdeclarative in c147b20a2c1299b2d659fe7c9472ae3866b6a425. Change-Id: Ie46e7d5b6d4cd5e0e8c6eea5b3ebbbdd83343656 Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
-rw-r--r--src/imports/sensors/sensors.cpp5
1 files changed, 3 insertions, 2 deletions
diff --git a/src/imports/sensors/sensors.cpp b/src/imports/sensors/sensors.cpp
index fa4cb3c2..2e2a2bfb 100644
--- a/src/imports/sensors/sensors.cpp
+++ b/src/imports/sensors/sensors.cpp
@@ -223,8 +223,9 @@ public:
qmlRegisterType <QmlLidSensor >(package, major, minor, "LidSensor");
qmlRegisterUncreatableType<QmlLidReading >(package, major, minor, "LidReading", QLatin1String("Cannot create LidReading"));
- // Register the latest Qt version as QML type version
- qmlRegisterModule(package, QT_VERSION_MAJOR, QT_VERSION_MINOR);
+ // The minor version used to be the current Qt 5 minor. For compatibility it is the last
+ // Qt 5 release.
+ qmlRegisterModule(package, 5, 15);
}
};